Bug 248858 - Review Request: cupsddk - CUPS Driver Development Kit
Summary: Review Request: cupsddk - CUPS Driver Development Kit
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-19 10:29 UTC by Tim Waugh
Modified: 2007-11-30 22:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-31 17:16:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)
Modified SPEC (3.63 KB, text/x-rpm-spec)
2007-07-20 09:02 UTC, Parag AN(पराग)
no flags Details

Description Tim Waugh 2007-07-19 10:29:03 UTC
Spec URL: http://twaugh.fedorapeople.org/cupsddk/cupsddk.spec
SRPM URL: http://twaugh.fedorapeople.org/cupsddk/cupsddk-1.2.0-1.src.rpm
Description:
The CUPS Driver Development Kit (DDK) provides a suite of
standard drivers, a PPD file compiler, and other utilities that
can be used to develop printer drivers for CUPS and other
printing environments.  CUPS provides a portable printing layer
for UNIX(r)-based operating systems.  The CUPS DDK provides the
means for mass-producing PPD files and drivers/filters for
CUPS-based printer drivers.

The CUPS DDK is licensed under the GNU General Public License.
Please contact Easy Software Products for commercial support and
"binary distribution" rights.

Comment 1 Parag AN(पराग) 2007-07-20 03:53:44 UTC
got following mock build error
/usr/bin/ld: cannot find -ltiff


Comment 2 Tim Waugh 2007-07-20 08:11:58 UTC
Oops, sorry.  I've uploaded a new package which should fix that.

Spec URL: http://twaugh.fedorapeople.org/cupsddk/cupsddk.spec
SRPM URL: http://twaugh.fedorapeople.org/cupsddk/cupsddk-1.2.0-1.src.rpm

Comment 3 Parag AN(पराग) 2007-07-20 09:02:48 UTC
Created attachment 159635 [details]
Modified SPEC 

I did some work for you. Modified your spec to reduce many rpmlint errors and
warnings. But still I prefer you to check it in mock or check for any more
rpmlint  messages and update release of package and provide new links for
formal review.

Comment 4 Tim Waugh 2007-07-20 10:15:32 UTC
Thanks.  The last remaining rpmlint errors are due to the CUPS ServerBin path,
which on Fedora is /usr/lib/cups not %{_libdir}/cups.

I've checked that it builds in mock.

New package:

Spec URL: http://twaugh.fedorapeople.org/cupsddk/cupsddk.spec
SRPM URL: http://twaugh.fedorapeople.org/cupsddk/cupsddk-1.2.0-2.src.rpm

Comment 5 Parag AN(पराग) 2007-07-20 10:48:58 UTC
Directory ownership is not correct
/usr/share/cupsddk/po and /usr/share/cupsddk/include is not owned by any package.

Also I got
W: cupsddk-drivers non-standard-group System Environment/Drivers
The value of the Group tag in the package is not valid.  Valid groups are:
"Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
"Applications/Communications", "Applications/Databases",
"Applications/Editors", "Applications/Emulators", "Applications/Engineering",
"Applications/File", "Applications/Internet", "Applications/Multimedia",
"Applications/Productivity", "Applications/Publishing", "Applications/System",
"Applications/Text", "Development/Debug", "Development/Debuggers",
"Development/Languages", "Development/Libraries", "Development/System",
"Development/Tools", "Documentation", "System Environment/Base", "System
Environment/Daemons", "System Environment/Kernel", "System
Environment/Libraries", "System Environment/Shells", "User
Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".

and also rpmlint reports 
E: cupsddk hardcoded-library-path in /usr/lib/cups/filter
A library path is hardcoded to one of the following paths: /lib,
/usr/lib. It should be replaced by something like /%{_lib} or %{_libdir}.

E: cupsddk hardcoded-library-path in /usr/lib/cups/filter/*
A library path is hardcoded to one of the following paths: /lib,
/usr/lib. It should be replaced by something like /%{_lib} or %{_libdir}.

E: cupsddk hardcoded-library-path in /usr/lib/cups/driver/*
A library path is hardcoded to one of the following paths: /lib,
/usr/lib. It should be replaced by something like /%{_lib} or %{_libdir}.


Comment 6 Tim Waugh 2007-07-20 11:10:29 UTC
> /usr/share/cupsddk/po and /usr/share/cupsddk/include is not owned by any package.

This broke with the addition of the devel sub-package.  Fixed.

> W: cupsddk-drivers non-standard-group System Environment/Drivers

Fixed. (Oops, forgot to rpmlint the binary packages.)  I also fixed an empty
debuginfo package problem discovered by rpmlint.

> E: cupsddk hardcoded-library-path in /usr/lib/cups/filter
> E: cupsddk hardcoded-library-path in /usr/lib/cups/filter/*
> E: cupsddk hardcoded-library-path in /usr/lib/cups/driver/*

See the comment in the spec file about this, and also comment #4 here. 
/usr/lib/cups is the correct path, and %{_libdir}/cups would be incorrect.

Remaining rpmlint warning: W: cupsddk-devel no-documentation
The documentation is in the main package.

Spec URL: http://twaugh.fedorapeople.org/cupsddk/cupsddk.spec
SRPM URL: http://twaugh.fedorapeople.org/cupsddk/cupsddk-1.2.0-3.src.rpm


Comment 7 Parag AN(पराग) 2007-07-20 12:13:17 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for RPMs.
But not silent for SRPM. Got following errors
E: cupsddk hardcoded-library-path in /usr/lib/cups/filter
A library path is hardcoded to one of the following paths: /lib,
/usr/lib. It should be replaced by something like /%{_lib} or %{_libdir}.

E: cupsddk hardcoded-library-path in /usr/lib/cups/filter/*
A library path is hardcoded to one of the following paths: /lib,
/usr/lib. It should be replaced by something like /%{_lib} or %{_libdir}.

E: cupsddk hardcoded-library-path in /usr/lib/cups/driver/*
A library path is hardcoded to one of the following paths: /lib,
/usr/lib. It should be replaced by something like /%{_lib} or %{_libdir}.

But above is false for our installation locations/paths. So I think above is
ignorable.
+ source files match upstream.
d35b74cbfaa4c48b0d650c34249bab6d  cupsddk-1.2.0-source.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is small so no need of -doc subpackage.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no static libraries.
+ no .pc files are present.
+ -devel and -drivers subpackage exists.
+ no .la files.
+ no translations available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets used.
+ cupsddk-1.2.0-3.fc8 requires 
Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1)
libc.so.6(GLIBC_2.3) libc.so.6(GLIBC_2.3.4) libc.so.6(GLIBC_2.4) libcrypt.so.1
libcups.so.2 libgcc_s.so.1 libgcc_s.so.1(GCC_3.0) libm.so.6 libm.so.6(GLIBC_2.0)
libpthread.so.0 libpthread.so.0(GLIBC_2.0) libstdc++.so.6
libstdc++.so.6(CXXABI_1.3) libstdc++.so.6(GLIBCXX_3.4) libz.so.1 rtld(GNU_HASH)
+ cupsddk-devel-1.2.0-3.fc8 requires
Requires: cupsddk = 1.2.0-3.fc8
+ cupsddk-drivers-1.2.0-3.fc8 requires
Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1)
libc.so.6(GLIBC_2.3) libc.so.6(GLIBC_2.3.4) libc.so.6(GLIBC_2.4) libcrypt.so.1
libcups.so.2 libcupsimage.so.2 libgcc_s.so.1 libgcc_s.so.1(GCC_3.0)
libjpeg.so.62 libm.so.6 libm.so.6(GLIBC_2.0) libpng12.so.0 libpthread.so.0
libpthread.so.0(GLIBC_2.0) libstdc++.so.6 libstdc++.so.6(CXXABI_1.3)
libstdc++.so.6(GLIBCXX_3.4) libtiff.so.3 libz.so.1 rtld(GNU_HASH)

+ Not a GUI App.
APPROVED.


Comment 8 Tim Waugh 2007-07-31 16:33:13 UTC
New Package CVS Request
=======================
Package Name: cupsddk
Short Description: CUPS Driver Development Kit
Owners: twaugh@redhat.com
Branches: FC-6 F-7
InitialCC: 


Comment 9 Jason Tibbitts 2007-07-31 16:47:33 UTC
CVS done.


Note You need to log in before you can comment on or make changes to this bug.